User avatar
TomMadeO
Posts: 3
Joined: Tue Aug 14, 2012 1:01 am

Unable to locate package pistore

Sun Dec 30, 2012 1:28 am

I have tried loading the store but keep getting this:

E:Unable to locate package pistore

any clue where i am going wrong?

Code: Select all

pi@raspberrypi ~ $ sudo apt-get update && sudo apt-get install pistore
Hit http://archive.raspberrypi.org wheezy InRelease                            
Ign http://archive.qmh-project.org unstable InRelease
Ign http://archive.qmh-project.org unstable Release.gpg                        
Hit http://http.debian.net wheezy InRelease                                    
Ign http://archive.qmh-project.org unstable Release
Ign http://archive.qmh-project.org unstable/main armel Packages/DiffIndex
Hit http://archive.raspberrypi.org wheezy/main armel Packages          
Hit http://http.debian.net wheezy/main armel Packages/DiffIndex
Hit http://http.debian.net wheezy/contrib armel Packages/DiffIndex   
Hit http://archive.qmh-project.org unstable/main armel Packages                
Hit http://http.debian.net wheezy/non-free Translation-en/DiffIndex            
Hit http://http.debian.net wheezy/contrib Translation-en/DiffIndex             
Hit http://http.debian.net wheezy/non-free armel Packages/DiffIndex            
Ign http://archive.qmh-project.org unstable/main Translation-en_GB   
Ign http://archive.qmh-project.org unstable/main Translation-en      
Hit http://http.debian.net wheezy/main Translation-en/DiffIndex      
Ign http://archive.raspberrypi.org wheezy/main Translation-en_GB
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package pistore
-t
TomMadeO

http://www.flickr.com/photos/tommadeo

Pankoi
Posts: 205
Joined: Tue Dec 18, 2012 6:59 pm

Re: Unable to locate package pistore

Sun Dec 30, 2012 1:41 am

Hi there!

From the apt-get update output, it looks as if you have a soft float (denoted by the 'armel' in the repositories it's checking) OS? You'll need a Raspbian version which uses hard float (armhf) - the Pi Store isn't present in the armel repositories.

Hope that helps,
~Richard Williams

Edit: There's more information in this topic. :)
The Pi Store: the home of games, apps, tutorials and other content for Raspberry Pi - store.raspberrypi.com
Want to hear about new Pi Store content? Follow @PiStoreReleases on Twitter.

User avatar
TomMadeO
Posts: 3
Joined: Tue Aug 14, 2012 1:01 am

Re: Unable to locate package pistore

Sun Dec 30, 2012 1:56 am

Thanks for that.

I guess I can stop trying to get it to load now!!!

What are the advantages/ disadvantages of a soft or hard float? Or should I just read the wiki???

Thanks for the patience everyone. New to Linux here.
-t
TomMadeO

http://www.flickr.com/photos/tommadeo

ghans
Posts: 7432
Joined: Mon Dec 12, 2011 8:30 pm
Location: Germany

Re: Unable to locate package pistore

Sun Dec 30, 2012 12:01 pm

You should only keep soft-float if you need

1) Java from Oracle
2) Mono
3) Squeezeplug

Else , i strongly suggest switching to hard-float , because
it is top priority to the foundation , gets the most updates and improvements
and is faster .

ghans
• Don't like the board ? Missing features ? Change to the prosilver theme ! You can find it in your settings.
• Don't like to search the forum BEFORE posting 'cos it's useless ? Try googling : yoursearchtermshere site:raspberrypi.org

burdebc
Posts: 1
Joined: Mon Feb 15, 2016 7:42 am

Re: Unable to locate package pistore

Mon Feb 15, 2016 7:58 am

I am unable to install the pi store. Earlier today I downloaded noobs lite and let it download rasbpian, and I have made no changes beyond that. Below is what I get from the terminal when I execute the command to install. Any help is greatly appreciated.

pi@raspberrypi:~ $ sudo apt-get update && sudo apt-get install pistore
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
Ign http://archive.raspberrypi.org jessie/main Translation-en
Hit http://mirrordirector.raspbian.org jessie InRelease
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package pistore

DirkS
Posts: 7715
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: Unable to locate package pistore

Mon Feb 15, 2016 10:52 am

The Pi store is dead (and has been for quite a while now)
See viewtopic.php?f=83&t=130379

Return to “The Pi Store”

Who is online

Users browsing this forum: No registered users and 1 guest